# 所有方向基础
* md文件编写
* git使用
  * GitHub有点慢，可以尝试一下腾讯工蜂
  * 教程可以百度也可以看我的[连接](https://blog.powerrain.cn/2019/11/30/git/)
* 熟练掌握当前编辑器的快捷按键
* 提升打字速度
  * 金山打字之类的就可以
# 前端学习路线
* html/css
  * 可以看w3c或者菜鸟教程
  * 目标：可以复刻静态京东页面
  * 尽量不使用自动补全，纯粹手打帮助记忆单词
* html5/css3
  * 着重看一下flex布局
  * html5的新标签知道都有哪些，日常项目中多使用header等新标签
  * css的动画自己练几个
  * 学习sass/scss
* js
  * 从基础入手，从w3c或者菜鸟教程从头撸一遍
  * 要求掌握所有基本类型的操作函数，类似Array.push(a),这些全部背下来，打代码的时候会很爽
  * es6 阮一峰那个就行，从头看一遍，速览
* node
  * 使用npm下载各种包
  * 在本地使用express跑个小服务程序
  * import等引入文件的方式
* vue
  * 本地安装vue-cli
  * 使用脚手架(cli)初始化一个项目
  * 看官方文档进行学习
  * 学习vuex
  * 学习axios
  * 学习router
# 后端学习路线
* 我使用的后端语言是python
* 框架是flask
* 首先学习python的语法
* 然后看flask的官方文档进行学习
* 我的笔记（很少）[链接](https://blog.powerrain.cn/2019/11/30/flask/)
* 数据库使用的mongodb
* 我的笔记[链接](https://blog.powerrain.cn/2019/11/30/mongodb/)
* 学习nginx的配置，https以及路由转发
* linux的基本命令
* 我的笔记[连接](https://blog.powerrain.cn/2019/11/30/linux/)